{
  dns = {
    meta = {
      serial = (builtins.fetchGit ../../../../.).lastModified;
      name = "waw.hackerspace.pl";
      ns = "customs.hackerspace.pl.";
      admin = "bofh.hackerspace.pl.";
      ttl = 300;
      refresh = 1800;
      retry = 1800;
      expire = 604800;
      minimum = 10800;
    };

    extraRecords = ''
    customs     A       10.8.1.2
    customs     AAAA    2a0d:eb00:4242::1
    at          CNAME   customs
    nat         CNAME   customs
    laser       A       10.8.1.2
    wieloryb    A       185.236.240.9
    '';
  };

  hosts = {
    "d8:5e:d3:69:ce:4c" = { ip = "10.8.1.14"; hostname = "craptrap-mgmt"; };
    "8a:81:ec:cc:dc:9d" = { ip = "10.8.1.15"; hostname = "craptrap"; };
    "4c:52:62:ba:a9:78" = { ip = "10.8.1.16"; hostname = "klangsmaschine";
      aliases = [ "music" "sound" "mqtt" "iot" "spejsiot" "wojtylexx" ];
    };
    "b8:27:eb:ed:df:f9" = { ip = "10.8.1.17"; hostname = "printmaster";
      aliases = [ "octoprint" "label" ];
    };
    "00:0e:35:1d:a1:a4" = { ip = "10.8.1.18"; hostname = "laser"; };
    "00:1b:a9:24:96:e2" = { ip = "10.8.1.21"; hostname = "brother"; };
    "00:07:4d:4d:71:e4" = { ip = "10.8.1.22"; hostname = "zebra"; };
    "5c:cf:7f:06:9a:3e" = { ip = "10.8.1.25"; hostname = "dht21"; };
    "00:0A:35:00:01:22" = { ip = "10.8.1.26"; hostname = "ledpanel"; };
    "fe:77:d6:83:26:b1" = { ip = "10.8.1.31"; hostname = "telelele"; };
    "b8:27:eb:03:69:01" = { ip = "10.8.1.32"; hostname = "vending"; };
    "b0:38:29:2e:5d:c9" = { ip = "10.8.1.33"; hostname = "transcend"; };
    "b8:27:eb:37:9e:6e" = { ip = "10.8.1.34"; hostname = "welcomer"; };
    "00:23:ae:6f:8e:a7" = { ip = "10.8.1.35"; hostname = "arcade"; };
    "90:e6:ba:84:b6:e0" = { ip = "10.8.1.38"; hostname = "inventory";
      aliases = [ "i" ];
    };
    "52:54:00:1f:63:1b" = { ip = "10.8.1.39"; hostname = "camera"; };
    # RIPE Atlas Probe
    "c0:25:e9:99:fb:e8" = { ip = "10.8.1.43"; hostname = "ripeatlas"; };
    "b8:69:f4:20:9c:b5" = { ip = "10.8.1.44"; hostname = "ap01"; };
    "b8:69:f4:20:d8:f7" = { ip = "10.8.1.45"; hostname = "ap02"; };
    "b8:69:f4:20:9f:87" = { ip = "10.8.1.46"; hostname = "ap03"; };
    "6c:ad:f8:52:4c:a7" = { ip = "10.8.1.47"; hostname = "chromecast"; };
    # craptrap VM
    "52:54:00:D9:DB:42" = { ip = "10.8.1.48"; hostname = "winbox"; };
    "00:23:14:b0:ec:c8" = { ip = "10.8.1.51"; hostname = "blitzloop"; };
    "dc:a6:32:b1:68:d7" = { ip = "10.8.1.53"; hostname = "tv1"; };
    "dc:a6:32:b1:68:83" = { ip = "10.8.1.54"; hostname = "tv2"; };
    "d8:3a:dd:f5:72:32" = { ip = "10.8.1.55"; hostname = "akamanto";
      aliases = [ "kodak" ];
    };
    "b8:27:eb:55:ad:a0" = { ip = "10.8.1.56"; hostname = "karasutengu";
      aliases = [ "voron" ];
    };
    # czechu's prusa mini
    "10:9c:70:08:84:89" = { ip = "10.8.1.57"; hostname = "prusamini"; };
    "00:17:c8:d9:2e:08" = { ip = "10.8.1.58"; hostname = "kyocera"; };
    # rpi3b with flashrom setup
    "b8:27:eb:c5:64:1c" = { ip = "10.8.1.59"; hostname = "flashpi"; };
    # Mitel SIP-DECT base station
    "00:30:42:22:67:0e" = { ip = "10.8.1.60"; hostname = "dect"; };
    # AudioCodes FXS SIP/VoIP gateway
    "00:90:8f:36:0a:18" = { ip = "10.8.1.61"; hostname = "fxs"; };
    # esp32 connected to the teletype
    "10:52:1c:5b:0d:b4" = { ip = "10.8.1.62"; hostname = "dalek"; };
    "aa:bb:cc:dd:ee:ff" = { ip = "10.8.1.40"; hostname = "ac";
      aliases = [ "lights" "parts" ];
    };
  };
}
