{ lib, pkgs, ... }:

let
  extIF = "enp49s0f0";
  extIFNumVFs = 16;
in {
  services.udev.extraRules = ''
    SUBSYSTEM=="net", ENV{ID_NET_NAME}=="${extIF}", ATTR{device/sriov_numvfs}="${toString extIFNumVFs}"
  '';

  virtualisation.libvirtd = {
    enable = true;
    qemu = {
      package = pkgs.qemu_kvm;
      swtpm.enable = true;
      ovmf.enable = true;
      ovmf.packages = [ pkgs.OVMFFull.fd ];
    };
  };
}
